Skip to content
Docs

Get Connect Connection

GET/v1/networking/connect/connections/{connection_id}

Get Connect Connection details

Path ParametersExpand Collapse
connection_id: string
ReturnsExpand Collapse
ConnectConnection object { id, asn, aws, 13 more }

Connect Connection details.

id: string

Unique identifier for the Connect Connection

asn: number

ASN

AWS provider configuration

region: string

AWS region where the connection is established

bandwidth_mbps: ConnectBandwidthMbps

Connect Connection speed in Mbps

One of the following:
50
200
500
1000
2000
cidrs: array of string

CIDRs for the Connect Connection

created_at: string

When the Connect Connection was created

formatdate-time
name: string

Name of the Connect Connection

project_id: string

Project ID the Connect Connection belongs to

provider_asn: number

Provider ASN

provider_cidrs: array of string

Provider CIDRs for the Connect Connection

provider_router_ip: string

Provider Router IP for the Connect Connection

region: RegionName

Region the resource is in.

router_ip: string

Router IP

Status of the resource.

One of the following:
"pending"
"creating"
"updating"
"ready"
"deleting"
"deleted"
"error"
tags: array of string

Tags to attach to the Connect Connection

updated_at: string

When the Connect Connection was updated

formatdate-time

Get Connect Connection

curl https://api.nirvanalabs.io/v1/networking/connect/connections/$CONNECTION_ID \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "asn": 64512,
  "aws": {
    "region": "us-east-1"
  },
  "bandwidth_mbps": 50,
  "cidrs": [
    "10.0.0.0/16"
  ],
  "created_at": "2025-01-01T00:00:00Z",
  "name": "my-connect-connection",
  "project_id": "123e4567-e89b-12d3-a456-426614174000",
  "provider_asn": 64513,
  "provider_cidrs": [
    "172.16.0.0/16"
  ],
  "provider_router_ip": "169.254.1.43",
  "region": "us-sva-2",
  "router_ip": "169.254.1.42",
  "status": "ready",
  "tags": [
    "production",
    "ethereum"
  ],
  "updated_at": "2025-01-01T00:00:00Z"
}
Returns Examples
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "asn": 64512,
  "aws": {
    "region": "us-east-1"
  },
  "bandwidth_mbps": 50,
  "cidrs": [
    "10.0.0.0/16"
  ],
  "created_at": "2025-01-01T00:00:00Z",
  "name": "my-connect-connection",
  "project_id": "123e4567-e89b-12d3-a456-426614174000",
  "provider_asn": 64513,
  "provider_cidrs": [
    "172.16.0.0/16"
  ],
  "provider_router_ip": "169.254.1.43",
  "region": "us-sva-2",
  "router_ip": "169.254.1.42",
  "status": "ready",
  "tags": [
    "production",
    "ethereum"
  ],
  "updated_at": "2025-01-01T00:00:00Z"
}